<?php
	/*
	* SourisVerteMap Component for Joomla! 1.5.x
	* Version 1.1.1
	* Creation date: August 2008
	* Author: La Souris Verte - www.la-souris-verte.com
	* Author email: joomla@la-souris-verte.com
	* License GNU/GPL
	*/
	
	defined( '_JEXEC' ) or die( 'Restricted access' );
	
	jimport('joomla.application.component.controller');

	class SVMapControllerMarkers extends JController
	{
	
		function __construct()
		{
			parent::__construct();
	
			$this->registerTask( 'add'  , 	'edit' );
		}
	
		function display()
		{
			JRequest::setVar( 'view'  , 'markers');
			JRequest::setVar( 'edit', false );
			
			parent::display();
		}
		
		function edit() {
			JRequest::setVar( 'view'  , 'markers');
			JRequest::setVar( 'hidemainmenu', 1 );
			JRequest::setVar( 'layout', 'form' );
			
			parent::display();
		}
		
		function save()
		{
			$model = $this->getModel('markers');
	
			if ($model->store()) {
				$msg = JText::_( 'SVMAP_MARKER_SAVED' );
			} else {
				$msg = JText::_( 'SVMAP_MARKER_SAVE_ERROR' );
			}
	
			$link = 'index.php?option=com_svmap&controller=markers';
			$this->setRedirect($link,$msg);
		}
		
		function remove()
		{
			$model = $this->getModel('markers');
			if(!$model->delete()) {
				$msg = JText::_( 'SVMAP_MARKER_REMOVE_ERROR' );
			} else {
				$msg = JText::_( 'SVMAP_MARKER_REMOVED' );
			}
	
			$link = 'index.php?option=com_svmap&controller=markers';
			$this->setRedirect($link,$msg);
		}
		
		function cancel()
		{
			$link = 'index.php?option=com_svmap&controller=markers';
			$this->setRedirect($link);
		}	
		
		
	}
	
?>