DROP TABLE IF EXISTS `#__svmap_business`;
CREATE TABLE `#__svmap_business` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `name` text,
  `address1` text,
  `address2` text,
  `address3` text,
  `postcode` varchar(255) default NULL,
  `city` text,
  `country` text,
  `phone` varchar(255) default NULL,
  `fax` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  `description` text,
  `marker` varchar(255) NOT NULL default 'http://www.google.com/mapfiles/marker.png',
  `lat` varchar(255) default NULL,
  `lon` varchar(255) default NULL,
  `type` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM ;


DROP TABLE IF EXISTS `#__svmap_business_link`;
CREATE TABLE `#__svmap_business_link` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `address1` varchar(255) default NULL,
  `address2` varchar(255) default NULL,
  `address3` varchar(255) default NULL,
  `postcode` varchar(255) default NULL,
  `city` varchar(255) default NULL,
  `country` varchar(255) default NULL,
  `phone` varchar(255) default NULL,
  `fax` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  `description` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM ;

INSERT INTO `#__svmap_business_link` (`id`, `name`, `address1`, `address2`, `address3`, `postcode`, `city`, `country`, `phone`, `fax`, `email`, `description`) VALUES 
(1, '', '', '', '', '', '', '', '', '', '', '');


DROP TABLE IF EXISTS `#__svmap_business_members`;
CREATE TABLE `#__svmap_business_members` (
  `id_business` int(11) NOT NULL,
  `id_member` int(11) NOT NULL,
  `type` tinyint(1) NOT NULL default '0',
  KEY `id_business` (`id_business`,`id_member`)
) ENGINE=MyISAM;


DROP TABLE IF EXISTS `#__svmap_business_options`;
CREATE TABLE `#__svmap_business_options` (
  `id_business` int(11) NOT NULL,
  `id_option` int(11) NOT NULL,
  KEY `id_business` (`id_business`,`id_option`)
) ENGINE=MyISAM;


DROP TABLE IF EXISTS `#__svmap_config`;
CREATE TABLE `#__svmap_config` (
  `id` int(11) NOT NULL,
  `api_key` varchar(255) NOT NULL,
  `center` varchar(255) NOT NULL,
  `firstzoomlevel` varchar(255) NOT NULL,
  `secondzoomlevel` varchar(255) NOT NULL,
  `autoview` tinyint(1) NOT NULL,
  `maptype` text NOT NULL,
  `mapcontrol` varchar(255) NOT NULL,
  `overview` tinyint(1) NOT NULL,
  `dragging` tinyint(1) NOT NULL,
  `doubleclick` tinyint(1) NOT NULL,
  `scrollwheelzoom` tinyint(1) NOT NULL,
  `width` varchar(255) NOT NULL,
  `height` varchar(255) NOT NULL,
  `linkwith` tinyint(1) NOT NULL default '0',
  `linkas` tinyint(1) NOT NULL default '0',
  `direction` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

INSERT INTO `#__svmap_config` (`id`, `api_key`, `center`, `firstzoomlevel`, `secondzoomlevel`, `autoview`, `maptype`, `mapcontrol`, `overview`, `dragging`, `doubleclick`, `scrollwheelzoom`, `width`, `height`, `linkwith`, `linkas`, `direction`) VALUES 
(1, 'ABQIAAAAvP-yKn0i9tK470Netg74XRRi_j0U6kJrkFvY4-OX2XYmEAa76BQT9ZElNPYCVUqoF5w2ub6uLMnxNA', '43.80505648558359,4.657677412033081', '4', '10', '1', 'G_NORMAL_MAP', 'GLargeMapControl()', 0, 0, 0, 0, '100%', '300px', 0, 0, 0);


DROP TABLE IF EXISTS `#__svmap_markers`;
CREATE TABLE `#__svmap_markers` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `url` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM ;

INSERT INTO `#__svmap_markers` (`id`, `name`, `url`) VALUES 
(1, 'marker', 'http://www.google.com/mapfiles/marker.png'),
(2, 'dd-start', 'http://www.google.com/mapfiles/dd-start.png'),
(3, 'dd-end', 'http://www.google.com/mapfiles/dd-end.png'),
(4, 'markerA', 'http://www.google.com/mapfiles/markerA.png'),
(5, 'markerB', 'http://www.google.com/mapfiles/markerB.png'),
(6, 'markerC', 'http://www.google.com/mapfiles/markerC.png'),
(7, 'markerD', 'http://www.google.com/mapfiles/markerD.png'),
(8, 'markerE', 'http://www.google.com/mapfiles/markerE.png'),
(9, 'markerF', 'http://www.google.com/mapfiles/markerF.png'),
(10, 'markerG', 'http://www.google.com/mapfiles/markerG.png'),
(11, 'markerH', 'http://www.google.com/mapfiles/markerH.png'),
(12, 'markerI', 'http://www.google.com/mapfiles/markerI.png'),
(13, 'markerJ', 'http://www.google.com/mapfiles/markerJ.png'),
(14, 'markerK', 'http://www.google.com/mapfiles/markerK.png'),
(15, 'markerL', 'http://www.google.com/mapfiles/markerL.png'),
(16, 'markerM', 'http://www.google.com/mapfiles/markerM.png'),
(17, 'markerN', 'http://www.google.com/mapfiles/markerN.png'),
(18, 'markerO', 'http://www.google.com/mapfiles/markerO.png'),
(19, 'markerP', 'http://www.google.com/mapfiles/markerP.png'),
(20, 'markerQ', 'http://www.google.com/mapfiles/markerQ.png'),
(21, 'markerR', 'http://www.google.com/mapfiles/markerR.png'),
(22, 'markerS', 'http://www.google.com/mapfiles/markerS.png'),
(23, 'markerT', 'http://www.google.com/mapfiles/markerT.png'),
(24, 'markerU', 'http://www.google.com/mapfiles/markerU.png'),
(25, 'markerV', 'http://www.google.com/mapfiles/markerV.png'),
(26, 'markerW', 'http://www.google.com/mapfiles/markerW.png'),
(27, 'markerX', 'http://www.google.com/mapfiles/markerX.png'),
(28, 'markerY', 'http://www.google.com/mapfiles/markerY.png'),
(29, 'markerZ', 'http://www.google.com/mapfiles/markerZ.png'),
(30, 'purple', 'http://labs.google.com/ridefinder/images/mm_20_purple.png'),
(31, 'yellow', 'http://labs.google.com/ridefinder/images/mm_20_yellow.png'),
(32, 'blue', 'http://labs.google.com/ridefinder/images/mm_20_blue.png'),
(33, 'white', 'http://labs.google.com/ridefinder/images/mm_20_white.png'),
(34, 'green', 'http://labs.google.com/ridefinder/images/mm_20_green.png'),
(35, 'red', 'http://labs.google.com/ridefinder/images/mm_20_red.png'),
(36, 'black', 'http://labs.google.com/ridefinder/images/mm_20_black.png'),
(37, 'orange', 'http://labs.google.com/ridefinder/images/mm_20_orange.png'),
(38, 'gray', 'http://labs.google.com/ridefinder/images/mm_20_gray.png'),
(39, 'brown', 'http://labs.google.com/ridefinder/images/mm_20_brown.png');


DROP TABLE IF EXISTS `#__svmap_members`;
CREATE TABLE `#__svmap_members` (
  `id` int(11) NOT NULL auto_increment,
  `first_name` text,
  `last_name` text,
  `phone` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  `type` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM ;


DROP TABLE IF EXISTS `#__svmap_members_link`;
CREATE TABLE `#__svmap_members_link` (
  `id` int(11) NOT NULL auto_increment,
  `first_name` varchar(255) default NULL,
  `last_name` varchar(255) default NULL,
  `phone` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM ;

INSERT INTO `#__svmap_members_link` (`id`, `first_name`, `last_name`, `phone`, `email`) VALUES 
(1, '', '', '', '');


DROP TABLE IF EXISTS `#__svmap_options`;
CREATE TABLE `#__svmap_options` (
  `id` int(11) NOT NULL auto_increment,
  `value` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM ;