<?php
	/*
	* SourisVerteMap Component for Joomla! 1.5.x
	* Version 1.1.1
	* Creation date: August 2008
	* Author: La Souris Verte - www.la-souris-verte.com
	* Author email: joomla@la-souris-verte.com
	* License GNU/GPL
	*/
	
	defined('_JEXEC') or die();
	
	jimport( 'joomla.application.component.model' );
	
	class SVMapModelBusiness extends JModel
	{
		function __construct()
		{
			parent::__construct();
			
			global $mainframe;
			
			$type = JRequest::getVar('type');
			if ($type != '0') {
				$user_id = JRequest::getVar('user_id');
				$this->setId($user_id);
			} else {
				$array = JRequest::getVar('cid',  0, '', 'array');
				$this->setId((int)$array[0]);
			}
			
			$limit = $mainframe->getUserStateFromRequest( 'limit', 'limit', $mainframe->getCfg('list_limit'), 'int');
			$limitstart = $mainframe->getUserStateFromRequest( 'limitstart', 'limitstart', 0, 'int' );
	
			$this->setState('limit', $limit);
			$this->setState('limitstart', $limitstart);
			
			$this->getConfig();
		}
	
		function setId($id)
		{
			$this->_id = intval( $id );
			$this->_data = null;
			$this->_total = null;
		}
	
		function getData() {
		
			global $mainframe;
		
			$task = JRequest::getVar('task');
			
			if (!isset($task) || empty($task)) {
			
				$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__svmap_business WHERE type=0' ) );
				$this->_data = $this->_db->loadObjectList();
				
				if ($this->_config->linkas == '2') {
				
					$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__svmap_business_link' ) );
					$businessLink = $this->_db->loadObject();
				
					if ($this->_config->linkwith == '1') {
						$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__contact_details' ) );
						$contacts = $this->_db->loadObjectList();
					} else if ($this->_config->linkwith == '2') {						
						$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__comprofiler' ) );
						$contacts = $this->_db->loadObjectList();
					}
						
					foreach ($contacts as $contact) {
						if ($this->_config->linkwith == '2') {	
							$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__users WHERE id='.$contact->id ) );
							$user = $this->_db->loadObject();
						}
						if (($this->_config->linkwith == '1' && $contact->published == '1') || ($this->_config->linkwith == '2' && $user->block != '1')) {
							$temp = null;
							
							$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__svmap_business WHERE user_id='.intval( $contact->id ).' AND type!=0' ) );
							$business = $this->_db->loadObject();
							
							if (!empty($business)) {
								$temp->id = $business->id;
							} else {
								$temp->id = 0;
							}			
								
							$temp->user_id = $contact->id;
							if (!empty($businessLink->name)) { $temp->name = @$contact->{$businessLink->name}; }
							if (!empty($businessLink->address1)) { $temp->address1 = @$contact->{$businessLink->address1}; }
							if (!empty($businessLink->address2)) { $temp->address2 = @$contact->{$businessLink->address2}; }
							if (!empty($businessLink->address3)) { $temp->address3 = @$contact->{$businessLink->address3}; }
							if (!empty($businessLink->postcode)) { $temp->postcode = @$contact->{$businessLink->postcode}; }
							if (!empty($businessLink->city)) { $temp->city = @$contact->{$businessLink->city}; }
							if (!empty($businessLink->country)) { $temp->country = @$contact->{$businessLink->country}; }
							if (!empty($businessLink->phone)) { $temp->phone = @$contact->{$businessLink->phone}; }
							if (!empty($businessLink->fax)) { $temp->fax = @$contact->{$businessLink->fax}; }
							if (!empty($businessLink->email)) { $temp->email = @$contact->{$businessLink->email}; }
							if (!empty($businessLink->description)) { $temp->description = @$contact->{$businessLink->description}; } 
							$temp->type = $this->_config->linkwith;
							$this->_data[] = $temp;
						}
					}
				}
				
				usort($this->_data, array($this,'sortArray'));
				
				$this->_data = $this->filter($this->_data);
				
				$this->_total = count($this->_data );
				if ($this->_total < $this->getState('limit')) {
					$this->setState('limitstart', 0);
				}
				
				$this->_data = $this->limitArray($this->_data,$this->getState('limitstart'),$this->getState('limit'));
								
				return $this->_data;
				
			} else {
				if (!empty($this->_id)) {
					$type = intval( JRequest::getVar('type') );
					
					if ($type == '0') {
						$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__svmap_business WHERE id = '.$this->_id ) );
						$this->_data = $this->_db->loadObject();
					} else {
						if ($type == '1') {
							$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__contact_details WHERE id = '.$this->_id ) );
							$contact = $this->_db->loadObject();
							
							$this->_data->type = '1';
						
						} else if ($type == '2') {
							$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__comprofiler WHERE id = '.$this->_id ) );
							$contact = $this->_db->loadObject();

							$this->_data->type = '2';
						}
						
						$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__svmap_business_link' ) );
						$businessLink = $this->_db->loadObject();
						
						$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__svmap_business WHERE user_id='.$this->_id.' AND type='.intval( $type ) ) );
						$business = $this->_db->loadObject();
						
						if (!empty($business)) {
							$this->_data->id = $business->id;
							$this->_data->marker = $business->marker;
							$this->_data->lat = $business->lat;
							$this->_data->lon = $business->lon;
						} else {
							$this->_data->marker = 'http://www.google.com/mapfiles/marker.png';
							$this->_data->id = 0;
						}								
						
						$this->_data->user_id = $contact->id;
						
						if (!empty($businessLink->name)) { $this->_data->name = $contact->{$businessLink->name}; }
						if (!empty($businessLink->address1)) { $this->_data->address1 = $contact->{$businessLink->address1}; }
						if (!empty($businessLink->address2)) { $this->_data->address2 = $contact->{$businessLink->address2}; }
						if (!empty($businessLink->address3)) { $this->_data->address3 = $contact->{$businessLink->address3}; }
						if (!empty($businessLink->postcode)) { $this->_data->postcode = $contact->{$businessLink->postcode}; }
						if (!empty($businessLink->city)) { $this->_data->city = $contact->{$businessLink->city}; }
						if (!empty($businessLink->country)) { $this->_data->country = $contact->{$businessLink->country}; }
						if (!empty($businessLink->phone)) { $this->_data->phone = $contact->{$businessLink->phone}; }
						if (!empty($businessLink->fax)) { $this->_data->fax = $contact->{$businessLink->fax}; }
						if (!empty($businessLink->email)) { $this->_data->email = $contact->{$businessLink->email}; }
						if (!empty($businessLink->description)) { $this->_data->description = $contact->{$businessLink->description}; }
						
					}
					
					$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__svmap_business_options WHERE id_business = '.$this->_data->id ) );
					$this->_data->options = $this->_db->loadObjectList();

				} else {
					$this->_data = new stdClass();
					$this->_data->id = 0;
					
					$items = array('name','address1','address2','address3','postcode','city','country','phone','fax','email','description','lat','lon');
					
					foreach ($items as $item) {
						$this->_data->$item = null;
					}
					$this->_data->marker = 'http://www.google.com/mapfiles/marker.png';
				}
				
				return $this->_data;
						
			}
		}
		
		function getTotal()
		{
			return $this->_total;
		}
		function sortArray($a, $b) {
			global $mainframe;
		
			$filter_order = $mainframe->getUserStateFromRequest( 'business.filter_order', 'filter_order', 'name', 'cmd' );
			$filter_order_Dir = $mainframe->getUserStateFromRequest( 'business.filter_order_Dir', 'filter_order_Dir', '', 'word' );
			
			if ($filter_order_Dir == 'asc') {
				$element1 = 'a';
				$element2 = 'b';
			} else {
				$element1 = 'b';
				$element2 = 'a';
			}
			
			return @strcasecmp(${$element1}->{$filter_order}, ${$element2}->{$filter_order});
		}
		function limitArray($array,$start,$limit) {
			$return = Array();
			for ($i=0;$i<count($array);$i++) {
				if ($i >= $start && $i < ($start+$limit)) {
					$return[] = $array[$i];
				}
			}
			return $return;
		}
		function filter($array) {
			global $mainframe;
			
			$filter = $mainframe->getUserStateFromRequest( 'business.filter', 'filter', '', 'int' );
			
			$temps = Array();
			
			$return = Array();
			for ($i=0;$i<count($array);$i++) {
				if (($filter == '3' && empty($array[$i]->type)) || ($array[$i]->type == $filter) || empty($filter)) {
					$return[] = $array[$i];
				}
			}
			return $return;			
		}

		function getPagination()
		{
			jimport('joomla.html.pagination');
			$this->_pagination = new JPagination( $this->getTotal(), $this->getState('limitstart'), $this->getState('limit') );
			return $this->_pagination;
		}		
		
		function getConfig() {
			$this->_db->setQuery( 'SELECT * FROM #__svmap_config' );
			$this->_config = $this->_db->loadObject();
			return $this->_config;
		}
		function getOptions()
		{
			$this->_db->setQuery( 'SELECT * FROM #__svmap_options' );
			return $this->_db->loadObjectList();
		}
		function getMarkers()
		{
			$this->_db->setQuery( 'SELECT * FROM #__svmap_markers' );
			return $this->_db->loadObjectList();
		}
		
		function store()
		{
			$row =& $this->getTable();
			$data = JRequest::get( 'post' );
			$type  = intval( $data['type'] );
			
			if ($type == '0') {
				$description = JRequest::getVar('description', 0, 'post', 'array');
				$data['description'] = $description[0];
				$data['user_id'] = $data['id'];
			} else {
				$data['name'] = null;
				$data['address1'] = null;
				$data['address2'] = null;
				$data['address3'] = null;
				$data['postcode'] = null;
				$data['city'] = null;
				$data['country'] = null;
				$data['phone'] = null;
				$data['fax'] = null;
				$data['email'] = null;
				$data['description'] = null;
			}
			
			if (!$row->bind($data,'options')) {
				$this->setError($this->_db->getErrorMsg());
				return false;
			}
				
			if (!$row->store()) {
				$this->setError( $row->getErrorMsg() );
				return false;
			}

			if($this->_db->insertid()) {
				$id = intval( $this->_db->insertid() );
				if ($data['id'] == '0' && $type == '0') {
					$this->_db->setQuery( 'UPDATE #__svmap_business SET user_id='.$id.' WHERE id='.$id );
					$this->_db->query();
				}
			} else {
				$id  = intval( $data['id'] );
			}

			$this->_db->setQuery( $this->_db->getEscaped( 'DELETE FROM #__svmap_business_options WHERE id_business='.$id ) );
			if(!$this->_db->query()) {
				$this->setError($this->_db->getErrorMsg());
				return false;
			}
			
			foreach($data['options'] as $option) {
				if (!empty($option)) {
					$this->_db->setQuery( 'INSERT INTO #__svmap_business_options (id_business,id_option) VALUES ("'.$id.'","'.$option.'")' );
					if(!$this->_db->query()) {
						$this->setError($this->_db->getErrorMsg());
						return false;
					}
				}
			}			
			
			return true;
		}	
		
		function delete()
		{
			$cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );
	
			$row =& $this->getTable();
	
			if (count( $cids ))
			{
				foreach($cids as $cid) {
					if (!$row->delete( $cid )) {
						$this->setError( $row->getErrorMsg() );
						return false;
					}
					$cid = intval( $cid );
					$this->_db->setQuery( $this->_db->getEscaped( 'DELETE FROM #__svmap_business_options WHERE id_business='.$cid ) );
					if(!$this->_db->query()) {
						$this->setError($this->_db->getErrorMsg());
						return false;
					}					
				}				
			}
			return true;
		}
		
	}
?>