<?php
	/*
	* SourisVerteMap Component for Joomla! 1.5.x
	* Version 1.1.1
	* Creation date: August 2008
	* Author: La Souris Verte - www.la-souris-verte.com
	* Author email: joomla@la-souris-verte.com
	* License GNU/GPL
	*/
	
	defined('_JEXEC') or die();
	
	jimport( 'joomla.application.component.model' );
	
	class SVMapModelMarkers extends JModel
	{
		function __construct()
		{
			parent::__construct();
			
			global $mainframe;
			
			$array = JRequest::getVar('cid',  0, '', 'array');
			$this->setId((int)$array[0]);
			
			$limit = $mainframe->getUserStateFromRequest( 'limit', 'limit', $mainframe->getCfg('list_limit'), 'int');
			$limitstart = $mainframe->getUserStateFromRequest( 'limitstart', 'limitstart', 0, 'int' );
	
			$this->setState('limit', $limit);
			$this->setState('limitstart', $limitstart);
		}
	
		function setId($id)
		{
			$this->_id = intval( $id );
			$this->_data = null;
		}
	
	
		function getData()
		{
		
			global $mainframe;
			
			$task = JRequest::getVar('task');
			
			if (!isset($task) || empty($task)) {
				$filter_order = $mainframe->getUserStateFromRequest( 'markers.filter_order', 'filter_order', 'name', 'cmd' );
				$filter_order_Dir = $mainframe->getUserStateFromRequest( 'markers.filter_order_Dir', 'filter_order_Dir', '', 'word' );
		
				$orderby = ' ORDER BY '.$filter_order.' '.$filter_order_Dir;
			
				$this->_data = $this->_getList( 'SELECT * FROM #__svmap_markers'.$orderby, $this->getState('limitstart'), $this->getState('limit') );
				
				return $this->_data;
			} else {
				if (!empty($this->_id)) {
					$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__svmap_markers WHERE id = '.$this->_id ) );
					$this->_data = $this->_db->loadObject();
					
				} else {
					$this->_data = new stdClass();
					$this->_data->id = 0;
					
					$items = array('name','url');
					
					foreach ($items as $item) {
						$this->_data->$item = null;
					}
					
				}
				
				return $this->_data;
						
			}
		}
		function getConfig() {
			$this->_db->setQuery( 'SELECT * FROM #__svmap_config' );
			$this->_data = $this->_db->loadObject();
			return $this->_data;
		}		function getTotal()
		{
			if (empty($this->_total))
			{
				$this->_total = $this->_getListCount( 'SELECT * FROM #__svmap_markers' );
			}
	
			return $this->_total;
		}
	
		function getPagination()
		{
			if (empty($this->_pagination))
			{
				jimport('joomla.html.pagination');
				$this->_pagination = new JPagination( $this->getTotal(), $this->getState('limitstart'), $this->getState('limit') );
			}
	
			return $this->_pagination;
		}		
		
		function store()
		{
			$row =& $this->getTable();
	
			$data = JRequest::get( 'post' );
	
			if (!$row->bind($data)) {
				$this->setError($this->_db->getErrorMsg());
				return false;
			}
	
			if (!$row->store()) {
				$this->setError( $row->getErrorMsg() );
				return false;
			}
			
			return true;
		}	
		
		function delete()
		{
			$cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );
	
			$row =& $this->getTable();
	
			if (count( $cids ))
			{
				foreach($cids as $cid) {
					if (!$row->delete( $cid )) {
						$this->setError( $row->getErrorMsg() );
						return false;
					}
				}				
			}
			return true;
		}
		
	}
?>