<?php
	/*
	* SourisVerteMap Component for Joomla! 1.5.x
	* Version 1.1.1
	* Creation date: August 2008
	* Author: La Souris Verte - www.la-souris-verte.com
	* Author email: joomla@la-souris-verte.com
	* License GNU/GPL
	*/
	
	defined('_JEXEC') or die();
	
	jimport( 'joomla.application.component.model' );
	
	class SVMapModelMembers extends JModel
	{
		function __construct()
		{
			parent::__construct();
			
			global $mainframe;
			
			$array = JRequest::getVar('cid',  0, '', 'array');
			$this->setId((int)$array[0]);
			
			$limit = $mainframe->getUserStateFromRequest( 'limit', 'limit', $mainframe->getCfg('list_limit'), 'int');
			$limitstart = $mainframe->getUserStateFromRequest( 'limitstart', 'limitstart', 0, 'int' );
	
			$this->setState('limit', $limit);
			$this->setState('limitstart', $limitstart);
			
			$this->getConfig();
		}
	
		function setId($id)
		{
			$this->_id = intval( $id );
			$this->_data = null;
			$this->_total = null;
		}
	
		function getData()
		{
			global $mainframe;
		
			$task = JRequest::getVar('task');
			
			if (!isset($task) || empty($task)) {
			
				$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__svmap_members' ) );
				$this->_data = $this->_db->loadObjectList();
				
				if ($this->_config->linkas == '1') {
				
					$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__svmap_members_link' ) );
					$membersLink = $this->_db->loadObject();
				
					if ($this->_config->linkwith == '1') {
						$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__contact_details' ) );
						$contacts = $this->_db->loadObjectList();
					} else if ($this->_config->linkwith == '2') {						
						$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__comprofiler' ) );
						$contacts = $this->_db->loadObjectList();
					}
						
					foreach ($contacts as $contact) {
						if ($this->_config->linkwith == '2') {
							$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__users WHERE id='.$contact->id ) );
							$user = $this->_db->loadObject();
						}
						if (($this->_config->linkwith == '1' && $contact->published == '1') || ($this->_config->linkwith == '2' && $user->block != '1')) {
							$temp = null;
							$temp->id = $contact->id;
							if (!empty($membersLink->first_name)) { $temp->first_name = @$contact->{$membersLink->first_name}; }
							if (!empty($membersLink->last_name)) { $temp->last_name = @$contact->{$membersLink->last_name}; }
							if (!empty($membersLink->phone)) { $temp->phone = @$contact->{$membersLink->phone}; }
							if (!empty($membersLink->email)) { $temp->email = @$contact->{$membersLink->email}; }
							$temp->type = $this->_config->linkwith;
							$this->_data[] = $temp;
						}
					}
				}
								
				usort($this->_data, array($this,'sortArray'));
				
				$this->_data = $this->filter($this->_data);
				
				$this->_total = count($this->_data );
				if ($this->_total < $this->getState('limit')) {
					$this->setState('limitstart', 0);
				}
				
				$this->_data = $this->limitArray($this->_data,$this->getState('limitstart'),$this->getState('limit'));
								
				return $this->_data;
			} else {
				if (!empty($this->_id)) {
					$type = intval( JRequest::getVar('type') );
					
					if ($type == '0') {
						$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__svmap_members WHERE id = '.$this->_id ) );
						$this->_data = $this->_db->loadObject();
						
					} else {
						if ($type == '1') {
							$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__contact_details WHERE id = '.$this->_id ) );
							$contact = $this->_db->loadObject();
							
							$this->_data->type = '1';
						
						} else if ($type == '2') {
							$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__comprofiler WHERE id = '.$this->_id ) );
							$contact = $this->_db->loadObject();

							$this->_data->type = '2';
						}
						
						$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__svmap_members_link' ) );
						$membersLink = $this->_db->loadObject();
						
						$this->_data->id = $contact->id;
						if (!empty($membersLink->first_name)) { $this->_data->first_name = @$contact->{$membersLink->first_name}; }
						if (!empty($membersLink->last_name)) { $this->_data->last_name = @$contact->{$membersLink->last_name}; }
						if (!empty($membersLink->phone)) { $this->_data->phone = @$contact->{$membersLink->phone}; }
						if (!empty($membersLink->email)) { $this->_data->email = @$contact->{$membersLink->email}; }
						
					}
					
					$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__svmap_business_members WHERE id_member = '.$this->_id.' AND type='.$type ) );
					$this->_data->business = $this->_db->loadObjectList();
					
				} else {
					$this->_data = new stdClass();
					$this->_data->id = 0;
					
					$items = array('first_name','last_name','phone','email');
					
					foreach ($items as $item) {
						$this->_data->$item = null;
					}
					
				}
				
				return $this->_data;
						
			}
		}
		function getConfig() {
			$this->_db->setQuery( 'SELECT * FROM #__svmap_config' );
			$this->_config = $this->_db->loadObject();
			return $this->_config;
		}		
		function getTotal()
		{
			return $this->_total;
		}
	
		function getPagination()
		{
			jimport('joomla.html.pagination');
			$this->_pagination = new JPagination( $this->getTotal(), $this->getState('limitstart'), $this->getState('limit') );
			return $this->_pagination;
		}		
		
		function getBusiness()
		{
		
			$this->_db->setQuery( 'SELECT * FROM #__svmap_business WHERE type=0' );
			$this->_data =  $this->_db->loadObjectList();
			
			if ($this->_config->linkas == '2') {
			
				$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__svmap_business_link' ) );
				$businessLink = $this->_db->loadObject();
			
				if ($this->_config->linkwith == '1') {
					$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__contact_details' ) );
					$contacts = $this->_db->loadObjectList();
				} else if ($this->_config->linkwith == '2') {						
					$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__comprofiler' ) );
					$contacts = $this->_db->loadObjectList();
				}
				
				foreach ($contacts as $contact) {
					if ($this->_config->linkwith == '2') {
						$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__users WHERE id='.$contact->id ) );
						$user = $this->_db->loadObject();
					}
					if (($this->_config->linkwith == '1' && $contact->published == '1') || ($this->_config->linkwith == '2' && $user->block != '1')) {
						$temp = null;
						
						$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__svmap_business WHERE user_id='.intval( $contact->id ).' AND type='.$this->_config->linkwith ) );
						$business = $this->_db->loadObject();
						
						if (!empty($business)) {
							$temp->id = $business->id;
						} else {
							$temp->id = 0;
						}			
							
						$temp->user_id = $contact->id;
						if (!empty($businessLink->name)) { $temp->name = @$contact->{$businessLink->name}; }
						if (!empty($businessLink->address1)) { $temp->address1 = @$contact->{$businessLink->address1}; }
						if (!empty($businessLink->address2)) { $temp->address2 = @$contact->{$businessLink->address2}; }
						if (!empty($businessLink->address3)) { $temp->address3 = @$contact->{$businessLink->address3}; }
						if (!empty($businessLink->postcode)) { $temp->postcode = @$contact->{$businessLink->postcode}; }
						if (!empty($businessLink->city)) { $temp->city = @$contact->{$businessLink->city}; }
						if (!empty($businessLink->phone)) { $temp->phone = @$contact->{$businessLink->phone}; }
						if (!empty($businessLink->fax)) { $temp->fax = @$contact->{$businessLink->fax}; }
						if (!empty($businessLink->email)) { $temp->email = @$contact->{$businessLink->email}; }
						if (!empty($businessLink->description)) { $temp->description = @$contact->{$businessLink->description}; } 
						$temp->type = $this->_config->linkwith;
						$this->_data[] = $temp;
					}
				}
			}			
			
			return $this->_data;
		}
		
		function sortArray($a, $b) {
			global $mainframe;
		
			$filter_order = $mainframe->getUserStateFromRequest( 'members.filter_order', 'filter_order', 'first_name', 'cmd' );
			$filter_order_Dir = $mainframe->getUserStateFromRequest( 'members.filter_order_Dir', 'filter_order_Dir', '', 'word' );
			
			if ($filter_order_Dir == 'asc') {
				$element1 = 'a';
				$element2 = 'b';
			} else {
				$element1 = 'b';
				$element2 = 'a';
			}
			
			return @strcasecmp(${$element1}->{$filter_order}, ${$element2}->{$filter_order});
		}
		function limitArray($array,$start,$limit) {
			$return = Array();
			for ($i=0;$i<count($array);$i++) {
				if ($i >= $start && $i < ($start+$limit)) {
					$return[] = $array[$i];
				}
			}
			return $return;
		}
		
		function filter($array) {
			global $mainframe;
			
			$filter1 = $mainframe->getUserStateFromRequest( 'members.filter1', 'filter1', '', 'int' );
			$filter2 = $mainframe->getUserStateFromRequest( 'members.filter2', 'filter2', '', 'int' );
			
			$temps = Array();
			
			if (!empty($filter1)) {
				$id_business = intval( $filter1 );
				
				$this->_db->setQuery( $this->_db->getEscaped( 'SELECT * FROM #__svmap_business_members WHERE id_business = '.$id_business ) );
				$business = $this->_db->loadObjectList();
				
				if ($business) {
					foreach($business as $temp) {
						$temps[] = $temp->id_member;
					}
				}
			}
			
			$return = Array();
			for ($i=0;$i<count($array);$i++) {
				if (in_array($array[$i]->id, $temps) || empty($filter1)) {
					if (($filter2 == '3' && empty($array[$i]->type)) || ($array[$i]->type == $filter2) || empty($filter2)) {
						$return[] = $array[$i];
					}
				}
			}
			return $return;			
		}
		
		function store()
		{
			$data = JRequest::get( 'post' );
			$type  = intval( $data['type'] );
			
			if ($type == '0') {
				$row =& $this->getTable();
		
				if (!$row->bind($data,'business')) {
					$this->setError($this->_db->getErrorMsg());
					return false;
				}
		
				if (!$row->store()) {
					$this->setError( $row->getErrorMsg() );
					return false;
				}
			}	
			
			if($this->_db->insertid()) {
				$id = intval( $this->_db->insertid() );
			} else {
				$id  = intval( $data['id'] );
			}
			
			$this->_db->setQuery( $this->_db->getEscaped( 'DELETE FROM #__svmap_business_members WHERE id_member='.$id.' AND type='.$type ) );
			if(!$this->_db->query()) {
				$this->setError($this->_db->getErrorMsg());
				return false;
			}
			
			foreach($data['business'] as $business) {
				if (!empty($business)) {
					$this->_db->setQuery( 'INSERT INTO #__svmap_business_members (id_business,id_member,type) VALUES ("'.$business.'","'.$id.'","'.$type.'")' );
					if(!$this->_db->query()) {
						$this->setError($this->_db->getErrorMsg());
						return false;
					}
				}
			}				
			return true;
		}	
		
		function delete()
		{
			$cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );
	
			$row =& $this->getTable();
	
			if (count( $cids ))
			{
				foreach($cids as $cid) {
					if (!$row->delete( $cid )) {
						$this->setError( $row->getErrorMsg() );
						return false;
					}
					$cid = intval( $cid );
					$this->_db->setQuery( $this->_db->getEscaped( 'DELETE FROM #__svmap_business_members WHERE id_member='.$cid ) );
					if(!$this->_db->query()) {
						$this->setError($this->_db->getErrorMsg());
						return false;
					}					
				}				
			}
			return true;
		}
		
	}
?>