<?php
	/*
	* SourisVerteMap Component for Joomla! 1.5.x
	* Version 1.1.1
	* Creation date: August 2008
	* Author: La Souris Verte - www.la-souris-verte.com
	* Author email: joomla@la-souris-verte.com
	* License GNU/GPL
	*/
	
	defined('_JEXEC') or die('Restricted access');
	JHTML::script('svmap.js','administrator/components/com_svmap/',false);
	JHTML::script('maps?file=api&amp;v=2&amp;key='.$this->config->api_key,'http://maps.google.com/',false);
	JHTML::script('api?file=uds.js&v=1.0&key='.$this->config->api_key,'http://www.google.com/uds/',false);
	JHTML::script('gmlocalsearch.js','http://www.google.com/uds/solutions/localsearch/',false);
	JHTML::stylesheet('gsearch.css','http://www.google.com/uds/css/');
	JHTML::stylesheet('gmlocalsearch.css','http://www.google.com/uds/solutions/localsearch/');
	
	$type = JRequest::getVar('type');
	$disabled = '';
	
	if ($type == '1') {
		$disabled = 'disabled="disabled"';
		$category = JText::_( 'SVMAP_LINK_JOOMLA' );
	} else if ($type == '2') {
		$disabled = 'disabled="disabled"';
		$category = JText::_( 'SVMAP_LINK_CB' );
	} else {
		$type = '0';
	}
?>
<style type="text/css">
	.gsc-resultsRoot, .gsc-branding, .gsc-branding {
		display:none;
		visibility:hidden;
	}
</style>
<script type="text/javascript">

	var app;
	function OnLoad() {
		app = new App();
	}
	
	function App() {
	
		this.myMap = null;
		
		this.myMap = new GMap2(document.getElementById("svmap_canvas"),{mapTypes:[<?php echo $this->config->maptype; ?>]});
		
		this.myMap.addControl(new GLargeMapControl());
		
		<?php
			if(!empty($this->business->lat) && !empty($this->business->lon)) {
				echo 'var point = new GLatLng('.$this->business->lat.', '.$this->business->lon.');';
				echo 'this.myMap.setCenter(new GLatLng('.$this->business->lat.', '.$this->business->lon.'), '.$this->config->secondzoomlevel.');';
			} else {
				echo 'var point = new GLatLng('.$this->config->center.');';
				echo 'this.myMap.setCenter(new GLatLng('.$this->config->center.'), '.$this->config->secondzoomlevel.');';
			}
			
		?>
		
		var image = new Image();
		
		for (i=0; i<document.forms[0].marker.length; i++) {
			if (document.forms[0].marker[i].checked) {
				image.src = document.forms[0].marker[i].value;
			}
		}

		var myIcon = new GIcon();
		myIcon.iconAnchor = new GPoint((image.width/2), image.height);
		myIcon.image = image.src;
		
		var markerOptions = { icon:myIcon, draggable: true, "title":"<?php echo $this->business->name; ?>" };
		
		var gmarker = new GMarker(point, markerOptions);
			
														
		this.myMap.addOverlay(gmarker);		
		
		GEvent.addListener(gmarker, "dragend", function() {
			document.getElementById("lat").value = this.getLatLng().lat();
			document.getElementById("lon").value = this.getLatLng().lng();
		});
		
		GEvent.addListener(this.myMap, "singlerightclick", function(point) {
			point = this.fromContainerPixelToLatLng(point);
			gmarker.setLatLng(point);
			document.getElementById("lat").value = gmarker.getLatLng().lat();
			document.getElementById("lon").value = gmarker.getLatLng().lng();
		});				
		
		var searchControl = new GSearchControl();
		
		var localSearch = new GlocalSearch();
		
		var options = new GsearcherOptions();
		options.setExpandMode(GSearchControl.EXPAND_MODE_CLOSED);
		searchControl.addSearcher(new GlocalSearch(), options);
		
		localSearch.setCenterPoint(this.myMap);
		
		searchControl.draw(document.getElementById("searchcontrol"));
		
		searchControl.setSearchCompleteCallback(this, App.prototype.OnSearchComplete);
		searchControl.setSearchStartingCallback(this, App.prototype.OnSearchStarting);
		
		refreshSearch();
		
		<?php
			if (empty($this->business->lat) && empty($this->business->lon)) {
				echo 'searchControl.execute();';
			}
		?>
	}
	
	App.prototype.OnSearchComplete = function(sc, searcher) {
		if ( searcher.results && searcher.results.length > 0) {
			this.myMap.clearOverlays();
			for (var i = 0; i < searcher.results.length; i++) {
				var result = searcher.results[i];
				
				if (result.GsearchResultClass == GlocalSearch.RESULT_CLASS ) {
					var markerObject = new Object();
					markerObject.result = result;
					markerObject.latLng = new GLatLng(parseFloat(result.lat), parseFloat(result.lng));

					var image = new Image();
					
					for (i=0; i<document.forms[0].marker.length; i++) {
						if (document.forms[0].marker[i].checked) {
							image.src = document.forms[0].marker[i].value;
						}
					}

					var myIcon = new GIcon();
					myIcon.iconAnchor = new GPoint((image.width/2), image.height);
					myIcon.image = image.src;
					
					markerObject.markerOptions = { icon:myIcon, draggable: true, "title":"<?php echo $this->business->name; ?>" };
					
					markerObject.gmarker = new GMarker(markerObject.latLng, markerObject.markerOptions);
					var clickHandler = method_closure(this, App.prototype.OnMarkerClick, [markerObject]);
					GEvent.bind(markerObject.gmarker, "click", this, clickHandler);

					this.myMap.addOverlay(markerObject.gmarker);
					result.__markerObject__ = markerObject;
					
					this.myMap.setCenter(markerObject.latLng);
					
					document.getElementById("lat").value = markerObject.latLng.lat();
					document.getElementById("lon").value = markerObject.latLng.lng();
					
					GEvent.addListener(markerObject.gmarker, "dragend", function() {
						document.getElementById("lat").value = this.getLatLng().lat();
						document.getElementById("lon").value = this.getLatLng().lng();
					});
					
					GEvent.addListener(this.myMap, "singlerightclick", function(point) {
						point = this.fromContainerPixelToLatLng(point);
						markerObject.gmarker.setLatLng(point);
						document.getElementById("lat").value = markerObject.gmarker.getLatLng().lat();
						document.getElementById("lon").value = markerObject.gmarker.getLatLng().lng();
					});
				}
			}
		}
	}
	
	App.prototype.OnSearchStarting = function(sc, searcher, query) {
		//
	}
	
	
	function method_closure(object, method, opt_argArray) {
		return function() {
			return method.apply(object, opt_argArray);
		}
	}
	
	GSearch.setOnLoadCallback(OnLoad);	
	
	function refreshSearch() {
		var elements = new Array('country','postcode','city','address1','address2','address3');
		var searchElements = new Array();
		var cnt=0;
		
		for (i=0;i<elements.length;i++) {
			if (document.getElementById(elements[i]).value != '') {
				searchElements.push(document.getElementById(elements[i]).value);
				cnt = 1;
			}
		}
		
		document.forms[1].search.value = searchElements.join(' ');
	}

</script>
<form action="index.php" method="post" name="adminForm" id="adminForm">
	<div class="col100">
		<fieldset class="adminform">
			<legend><?php echo JText::_( 'SVMAP_BUSINESS' ); ?></legend>
	
			<table class="admintable">
			<?php
				if (!empty($this->business->id)) {
			?>
			<tr>
				<td width="100" align="right" class="key">
					<label>#</label>
				</td>
				<td>
					<?php echo $this->business->id;?>
				</td>
			</tr>
			<?php
				}
			?>
			<?php
				if (!empty($type)) {
			?>
			<tr>
				<td width="100" align="right" class="key">
					<label><?php echo JText::_( 'SVMAP_CATEGORY' ); ?></label>
				</td>
				<td>
					<strong><?php echo $category;?></strong>
				</td>
			</tr>
			<?php
				}
			?>
			<tr>
				<td width="100" align="right" class="key">
					<label for="name"><?php echo JText::_( 'SVMAP_NAME' ); ?></label>
				</td>
				<td>
					<input class="text_area" type="text" name="name" id="name" size="45" maxlength="250" value="<?php echo @$this->business->name;?>" <?php echo $disabled; ?> />
				</td>
			</tr>
			<tr>
				<td width="100" align="right" class="key">
					<label for="address1"><?php echo JText::_( 'SVMAP_ADDRESS' ); ?> 1</label>
				</td>
				<td>
					<input class="text_area" type="text" onblur="refreshSearch()" name="address1" id="address1" size="45" maxlength="250" value="<?php echo @$this->business->address1;?>" <?php echo $disabled; ?> />
				</td>
			</tr>
			<tr>
				<td width="100" align="right" class="key">
					<label for="address2"><?php echo JText::_( 'SVMAP_ADDRESS' ); ?> 2</label>
				</td>
				<td>
					<input class="text_area" type="text" onblur="refreshSearch()" name="address2" id="address2" size="45" maxlength="250" value="<?php echo @$this->business->address2;?>" <?php echo $disabled; ?> />
				</td>
			</tr>
			<tr>
				<td width="100" align="right" class="key">
					<label for="address3"><?php echo JText::_( 'SVMAP_ADDRESS' ); ?> 3</label>
				</td>
				<td>
					<input class="text_area" type="text" onblur="refreshSearch()" name="address3" id="address3" size="45" maxlength="250" value="<?php echo @$this->business->address3;?>" <?php echo $disabled; ?> />
				</td>
			</tr>
			<tr>
				<td width="100" align="right" class="key">
					<label for="postcode"><?php echo JText::_( 'SVMAP_POSTCODE' ); ?></label>
				</td>
				<td>
					<input class="text_area" type="text" onblur="refreshSearch()" name="postcode" id="postcode" size="45" maxlength="250" value="<?php echo @$this->business->postcode;?>" <?php echo $disabled; ?> />
				</td>
			</tr>
			<tr>
				<td width="100" align="right" class="key">
					<label for="city"><?php echo JText::_( 'SVMAP_CITY' ); ?></label>
				</td>
				<td>
					<input class="text_area" type="text" onblur="refreshSearch()" name="city" id="city" size="45" maxlength="250" value="<?php echo @$this->business->city;?>" <?php echo $disabled; ?> />
				</td>
			</tr>
			<tr>
				<td width="100" align="right" class="key">
					<label for="country"><?php echo JText::_( 'SVMAP_COUNTRY' ); ?></label>
				</td>
				<td>
					<input class="text_area" type="text" onblur="refreshSearch()" name="country" id="country" size="45" maxlength="250" value="<?php echo @$this->business->country;?>" <?php echo $disabled; ?> />
				</td>
			</tr>
			<tr>
				<td width="100" align="right" class="key">
					<label for="phone"><?php echo JText::_( 'SVMAP_PHONE' ); ?></label>
				</td>
				<td>
					<input class="text_area" type="text" name="phone" id="phone" size="45" maxlength="250" value="<?php echo @$this->business->phone;?>" <?php echo $disabled; ?> />
				</td>
			</tr>
			<tr>
				<td width="100" align="right" class="key">
					<label for="fax"><?php echo JText::_( 'SVMAP_FAX' ); ?></label>
				</td>
				<td>
					<input class="text_area" type="text" name="fax" id="fax" size="45" maxlength="250" value="<?php echo @$this->business->fax;?>" <?php echo $disabled; ?> />
				</td>
			</tr>
			<tr>
				<td width="100" align="right" class="key">
					<label for="email"><?php echo JText::_( 'SVMAP_EMAIL' ); ?></label>
				</td>
				<td>
					<input class="text_area" type="text" name="email" id="email" size="45" maxlength="250" value="<?php echo @$this->business->email;?>" <?php echo $disabled; ?> />
				</td>
			</tr>
			<tr>
				<td width="100" align="right" class="key">
					<label for="description"><?php echo JText::_( 'SVMAP_DESCRIPTION' ); ?></label>
				</td>
				
				<td>
					<?php
						if ($type == '1' || $type == '2') {
							echo '<textarea disabled="disabled" cols="80" rows="10">'.@$this->business->description.'</textarea>';
						} else {
							$editor = JFactory::getEditor();
							echo $editor->display( 'description', $this->business->description, '100%', '300', '100', '20', false);
						}
					?>
				</td>
			</tr>
			<tr>
				<td width="100" align="right" class="key">
					<label for="marker"><?php echo JText::_( 'SVMAP_MARKER' ); ?></label>
				</td>
				<td>
					<table>
						<tr>
					<?php 
						$cnt = 0;
						foreach($this->markers as $marker) {
							$checked = '';
							if (($this->business->marker == $marker->url) || (empty($this->business->marker) && $marker->id == '1')) { $checked = 'checked="checked"'; }
							echo '<td width="40" align="center" valign="top" style="border:1px solid #eeeeee"><img src="'.$marker->url.'" title="'.$marker->name.'" /><br /><input type="radio" name="marker" id="marker" value="'.$marker->url.'" '.$checked.' /></td>';
							if ($cnt < 15) {
								$cnt++;
							} else {
								echo '</tr><tr>';
								$cnt = 0;
							}
						}
					?>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td width="100" align="right" class="key">
					<span class="editlinktip hasTip" title="<?php echo JText::_('SVMAP_POINT'); ?>::<?php echo JText::_('SVMAP_BUSINESS_HELP_MAP'); ?>">
						<?php echo JText::_( 'SVMAP_POINT' ); ?>
						<?php echo JHTML::_('image', 'administrator/templates/'. $this->template .'/images/menu/icon-16-info.png', JText::_('NOTES') ); ?>
					</span>
				</td>
				<td>
					<div id="svmap_canvas" style="width: 400px; height: 300px; overflow:hidden;"></div>
					<div id="searchcontrol"></div>
					<p>		
					<?php echo JText::_( 'SVMAP_LATITUDE' ); ?> <input class="text_area" type="text" name="lat" id="lat" size="20" value="<?php echo @$this->business->lat;?>" /> <?php echo JText::_( 'SVMAP_LONGITUDE' ); ?> <input class="text_area" type="text" name="lon" id="lon" size="20" value="<?php echo @$this->business->lon;?>" />
					</p>
				</td>
			</tr>
			<tr>
				<td width="100" align="right" class="key">
					<span class="editlinktip hasTip" title="<?php echo JText::_('SVMAP_OPTION'); ?>::<?php echo JText::_('SVMAP_BUSINESS_HELP_OPTION'); ?>">
						<label><?php echo JText::_( 'SVMAP_OPTION' ); ?></label>
						<?php echo JHTML::_('image', 'administrator/templates/'. $this->template .'/images/menu/icon-16-info.png', JText::_('NOTES') ); ?>
					</span>
				</td>
				<td>
					<?php
						$cnt = 1;
						if(!empty($this->business->options)) {
							foreach($this->business->options as $this->business->option) {
					?>
						<div id="option_<?php echo $cnt; ?>">
							<select name="options[]>" id="option<?php echo $cnt; ?>">
								<option value="">----------</option>
								<?php
									foreach($this->options as $option) {
										$selected = '';
										if ($this->business->option->id_option == $option->id) {
											$selected = 'selected="selected"';
										}
										echo '<option value="'.$option->id.'" '.$selected.'>'.$option->value.'</option>';
									}
								?>
							</select>
						</div>
					<?php
					
							$cnt++;
							}
						}
					?>
					<div id="option_<?php echo $cnt; ?>"></div>
					<input type="hidden" id="cnt" name="cnt" value="<?php echo $cnt; ?>" />
					<div id="select" style="visibility:hidden;display:none">
						<select name="options[]>" id="option<?php echo $cnt; ?>">
							<option value="">----------</option>
							<?php
								foreach($this->options as $option) {
									echo '<option value="'.$option->id.'">'.$option->value.'</option>';
								}
							?>
						</select>
					</div>
					<a href="javascript:addOption(document.getElementById('cnt').value);"><?php echo JText::_( 'SVMAP_ADD_OPTION' ); ?></a>
				</td>
			</tr>
			<tr>
				<td colspan="2" align="center">
					<?php echo JText::_( 'SVMAP_COPYRIGHT' ); ?>
				</td>
			</tr>
		</table>
		</fieldset>
	</div>
	<div class="clr"></div>
	
	<input type="hidden" name="option" value="com_svmap" />
	<input type="hidden" name="id" value="<?php echo $this->business->id; ?>" />
	<input type="hidden" name="user_id" value="<?php echo @$this->business->user_id; ?>" />
	<input type="hidden" name="type" value="<?php echo $type; ?>" />
	<input type="hidden" name="task" value="save" />
	<input type="hidden" name="controller" value="business" />
</form>
