<?php
	/*
	* SourisVerteMap Component for Joomla! 1.5.x
	* Version 1.1.1
	* Creation date: August 2008
	* Author: La Souris Verte - www.la-souris-verte.com
	* Author email: joomla@la-souris-verte.com
	* License GNU/GPL
	*/
	
	defined('_JEXEC') or die();
	
	jimport( 'joomla.application.component.view' );
	
	class SVMapViewBusiness extends JView
	{
		function display($tpl = null)
		{
			global $mainframe;
			
			$business = $this->get('Data');
			$this->assignRef('business', $business);
			
			$config = $this->get('Config');
		
			if ($this->getLayout() == 'form') {
			
				$isNew = ($business->id < 1);
		
				$text = $isNew ? JText::_( 'New' ) : JText::_( 'Edit' );
				JToolBarHelper::title( 'SVMap | '.JText::_( 'SVMAP_BUSINESS' ).': <small><small>[ ' . $text.' ]</small></small>', 'svmap' );
				JToolBarHelper::save();
				if ($isNew)  {
					JToolBarHelper::cancel();
				} else {
					JToolBarHelper::cancel( 'cancel', 'Close' );
				}
				
				JHTML::_('behavior.tooltip');
				
				$template = $mainframe->getTemplate();
				$this->assignRef('template', $template);
				
				$options = $this->get('Options');
				$this->assignRef('options', $options);
				
				$this->assignRef('config', $config);
								
				$markers = $this->get('Markers');
				$this->assignRef('markers', $markers);
						
			} else {
			
				JSubMenuHelper::addEntry( 'SVMap', 'index.php?option=com_svmap');
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_CONFIGURATION' ).'::'.JText::_('SVMAP_CONFIGURATION_DESCRIPTION').'">'.JText::_( 'SVMAP_CONFIGURATION' ).'</span>', 'index.php?option=com_svmap&controller=configuration');
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_BUSINESS' ).'::'.JText::_('SVMAP_BUSINESS_DESCRIPTION').'">'.JText::_( 'SVMAP_BUSINESS' ).'</span>', 'index.php?option=com_svmap&controller=business', true);
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_MEMBER' ).'::'.JText::_('SVMAP_MEMBER_DESCRIPTION').'">'.JText::_( 'SVMAP_MEMBER' ).'</span>', 'index.php?option=com_svmap&controller=members');
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_OPTION' ).'::'.JText::_('SVMAP_OPTION_DESCRIPTION').'">'.JText::_( 'SVMAP_OPTION' ).'</span>', 'index.php?option=com_svmap&controller=options');
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_MARKER' ).'::'.JText::_('SVMAP_MARKER_DESCRIPTION').'">'.JText::_( 'SVMAP_MARKER' ).'</span>', 'index.php?option=com_svmap&controller=markers');
				
				if ($config->linkas != '0' && $config->linkwith != '0') {
					JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_LINK' ).'::'.JText::_('SVMAP_LINK_DESCRIPTION').'">'.JText::_( 'SVMAP_LINK' ).'</span>', 'index.php?option=com_svmap&controller=link');
				}
				
				JHTML::_('behavior.tooltip');
			
				JToolBarHelper::title( 'SVMap | '.JText::_( 'SVMAP_BUSINESS' ), 'svmap' );
				JToolBarHelper::deleteList();
				JToolBarHelper::editListX();
				JToolBarHelper::addNewX();
				
				$filter_order = $mainframe->getUserStateFromRequest('business.filter_order', 'filter_order', 'name', 'cmd');
				$filter_order_Dir = $mainframe->getUserStateFromRequest('business.filter_order_Dir', 'filter_order_Dir', '', 'word');
				$filter = $mainframe->getUserStateFromRequest( 'business.filter', 'filter', '', 'int' );
				
				$filters = array();
				$filters[] = JHTML::_('select.option', '', '-- '.JText::_( 'SVMAP_CATEGORY' ).' --' );
				$filters[] = JHTML::_('select.option', '3', 'SVMAP' );
				if ($config->linkas == '2' && $config->linkwith == '1') {
					$filters[] = JHTML::_('select.option', '1', JText::_( 'SVMAP_LINK_JOOMLA' ) );
				}
				if ($config->linkas == '2' && $config->linkwith == '2') {
					$filters[] = JHTML::_('select.option', '2', JText::_( 'SVMAP_LINK_CB' ) );
				}
				
				$lists['filter'] = JHTML::_('select.genericlist', $filters, 'filter', 'size="1" class="inputbox" onchange="form.submit()"', 'value', 'text', $filter );
				$lists['order_Dir'] = $filter_order_Dir;
				$lists['order'] = $filter_order;
				
				$this->assignRef('lists', $lists);
				
				$pageNav = & $this->get( 'Pagination' );
				$this->assignRef('pageNav', $pageNav);
			}
	
			parent::display($tpl);		
			
		}
	}
?>