<?php
	/*
	* SourisVerteMap Component for Joomla! 1.5.x
	* Version 1.1.1
	* Creation date: August 2008
	* Author: La Souris Verte - www.la-souris-verte.com
	* Author email: joomla@la-souris-verte.com
	* License GNU/GPL
	*/
	
	defined('_JEXEC') or die();
	
	jimport( 'joomla.application.component.view' );
	
	class SVMapViewLink extends JView
	{
		function display($tpl = null)
		{
			global $mainframe;
			
			$config = $this->get('Config');
			
			if ($config->linkwith != '0' && $config->linkas != '0') {
			
				if ($config->linkas == '1') {
					$tpl = 'members';
					$members = $this->get('LinkMembers');
					$this->assignRef('members', $members);
				} else if ($config->linkas == '2') {
					$tpl = 'business';
					$business = $this->get('LinkBusiness');
					$this->assignRef('business', $business);
				} else {
					JApplication::redirect('index.php?option=com_svmap');
				}
				
				if ($config->linkwith == '1') {
					$fields = $this->get('JoomlaFields');
				} else if ($config->linkwith == '2') {
					$fields = $this->get('CBFields');
				} else {
					JApplication::redirect('index.php?option=com_svmap');
				}
				
				JSubMenuHelper::addEntry( 'SVMap', 'index.php?option=com_svmap');
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_CONFIGURATION' ).'::'.JText::_('SVMAP_CONFIGURATION_DESCRIPTION').'">'.JText::_( 'SVMAP_CONFIGURATION' ).'</span>', 'index.php?option=com_svmap&controller=configuration');
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_BUSINESS' ).'::'.JText::_('SVMAP_BUSINESS_DESCRIPTION').'">'.JText::_( 'SVMAP_BUSINESS' ).'</span>', 'index.php?option=com_svmap&controller=business');
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_MEMBER' ).'::'.JText::_('SVMAP_MEMBER_DESCRIPTION').'">'.JText::_( 'SVMAP_MEMBER' ).'</span>', 'index.php?option=com_svmap&controller=members');
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_OPTION' ).'::'.JText::_('SVMAP_OPTION_DESCRIPTION').'">'.JText::_( 'SVMAP_OPTION' ).'</span>', 'index.php?option=com_svmap&controller=options');
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_MARKER' ).'::'.JText::_('SVMAP_MARKER_DESCRIPTION').'">'.JText::_( 'SVMAP_MARKER' ).'</span>', 'index.php?option=com_svmap&controller=markers');
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_LINK' ).'::'.JText::_('SVMAP_LINK_DESCRIPTION').'">'.JText::_( 'SVMAP_LINK' ).'</span>', 'index.php?option=com_svmap&controller=link', true);
				
				JToolBarHelper::title( JText::_( 'SVMAP_LINK' ), 'svmap' );
				JToolBarHelper::save();
				
				JHTML::_('behavior.tooltip');
				
				$template = $mainframe->getTemplate();
				$this->assignRef('template', $template);
				
				$this->assignRef('fields', $fields);
				
				parent::display($tpl);
			} else {
				JApplication::redirect('index.php?option=com_svmap');
			}
		}
	}
?>
