<?php
	/*
	* SourisVerteMap Component for Joomla! 1.5.x
	* Version 1.1.1
	* Creation date: August 2008
	* Author: La Souris Verte - www.la-souris-verte.com
	* Author email: joomla@la-souris-verte.com
	* License GNU/GPL
	*/
		
	defined('_JEXEC') or die();
	
	jimport( 'joomla.application.component.view' );
	
	class SVMapViewMarkers extends JView
	{
		function display($tpl = null)
		{
			global $mainframe;
			
			$markers = $this->get('Data');
			$this->assignRef('markers', $markers);
						
			if ($this->getLayout() == 'form') {
			
				$isNew = ($markers->id < 1);
		
				$text = $isNew ? JText::_( 'New' ) : JText::_( 'Edit' );
				JToolBarHelper::title( 'SVMap | '.JText::_( 'SVMAP_MARKER' ).': <small><small>[ ' . $text.' ]</small></small>', 'svmap' );
				JToolBarHelper::save();
				if ($isNew)  {
					JToolBarHelper::cancel();
				} else {
					JToolBarHelper::cancel( 'cancel', 'Close' );
				}
							
			} else {
				JSubMenuHelper::addEntry( 'SVMap', 'index.php?option=com_svmap');
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_CONFIGURATION' ).'::'.JText::_('SVMAP_CONFIGURATION_DESCRIPTION').'">'.JText::_( 'SVMAP_CONFIGURATION' ).'</span>', 'index.php?option=com_svmap&controller=configuration');
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_BUSINESS' ).'::'.JText::_('SVMAP_BUSINESS_DESCRIPTION').'">'.JText::_( 'SVMAP_BUSINESS' ).'</span>', 'index.php?option=com_svmap&controller=business');
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_MEMBER' ).'::'.JText::_('SVMAP_MEMBER_DESCRIPTION').'">'.JText::_( 'SVMAP_MEMBER' ).'</span>', 'index.php?option=com_svmap&controller=members');
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_OPTION' ).'::'.JText::_('SVMAP_OPTION_DESCRIPTION').'">'.JText::_( 'SVMAP_OPTION' ).'</span>', 'index.php?option=com_svmap&controller=options');
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_MARKER' ).'::'.JText::_('SVMAP_MARKER_DESCRIPTION').'">'.JText::_( 'SVMAP_MARKER' ).'</span>', 'index.php?option=com_svmap&controller=markers', true);
							
				$config = $this->get('Config');
				
				if ($config->linkas != '0' && $config->linkwith != '0') {
					JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_LINK' ).'::'.JText::_('SVMAP_LINK_DESCRIPTION').'">'.JText::_( 'SVMAP_LINK' ).'</span>', 'index.php?option=com_svmap&controller=link');
				}	
				
				JHTML::_('behavior.tooltip');
				
				JToolBarHelper::title( 'SVMap | '.JText::_( 'SVMAP_MARKER' ), 'svmap' );
				JToolBarHelper::deleteList();
				JToolBarHelper::editListX();
				JToolBarHelper::addNewX();
				
				$filter_order = $mainframe->getUserStateFromRequest('markers.filter_order', 'filter_order', 'name', 'cmd');
				$filter_order_Dir = $mainframe->getUserStateFromRequest('markers.filter_order_Dir', 'filter_order_Dir', '', 'word');
				
				$lists['order_Dir'] = $filter_order_Dir;
				$lists['order'] = $filter_order;
				
				$this->assignRef('lists', $lists);
				
				$pageNav = & $this->get( 'Pagination' );
				$this->assignRef('pageNav', $pageNav);
			}
			
			parent::display($tpl);		
			
		}
	}
?>