<?php
	/*
	* SourisVerteMap Component for Joomla! 1.5.x
	* Version 1.1.1
	* Creation date: August 2008
	* Author: La Souris Verte - www.la-souris-verte.com
	* Author email: joomla@la-souris-verte.com
	* License GNU/GPL
	*/
		
	defined('_JEXEC') or die();
	
	jimport( 'joomla.application.component.view' );
	
	class SVMapViewMembers extends JView
	{
		function display($tpl = null)
		{
			global $mainframe;
			
			$members = $this->get('Data');
			$this->assignRef('members', $members);
		
			if ($this->getLayout() == 'form') {
			
				$isNew = ($members->id < 1);
		
				$text = $isNew ? JText::_( 'New' ) : JText::_( 'Edit' );
				JToolBarHelper::title( 'SVMap | '.JText::_( 'SVMAP_MEMBER' ).': <small><small>[ ' . $text.' ]</small></small>', 'svmap' );
				JToolBarHelper::save();
				if ($isNew)  {
					JToolBarHelper::cancel();
				} else {
					JToolBarHelper::cancel( 'cancel', 'Close' );
				}
				
				JHTML::_('behavior.tooltip');
				
				$template = $mainframe->getTemplate();
				$this->assignRef('template', $template);
				
				$business = $this->get('Business');
				$this->assignRef('business', $business);
			} else {
				JSubMenuHelper::addEntry( 'SVMap', 'index.php?option=com_svmap');
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_CONFIGURATION' ).'::'.JText::_('SVMAP_CONFIGURATION_DESCRIPTION').'">'.JText::_( 'SVMAP_CONFIGURATION' ).'</span>', 'index.php?option=com_svmap&controller=configuration');
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_BUSINESS' ).'::'.JText::_('SVMAP_BUSINESS_DESCRIPTION').'">'.JText::_( 'SVMAP_BUSINESS' ).'</span>', 'index.php?option=com_svmap&controller=business');
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_MEMBER' ).'::'.JText::_('SVMAP_MEMBER_DESCRIPTION').'">'.JText::_( 'SVMAP_MEMBER' ).'</span>', 'index.php?option=com_svmap&controller=members', true);
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_OPTION' ).'::'.JText::_('SVMAP_OPTION_DESCRIPTION').'">'.JText::_( 'SVMAP_OPTION' ).'</span>', 'index.php?option=com_svmap&controller=options');
				JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_MARKER' ).'::'.JText::_('SVMAP_MARKER_DESCRIPTION').'">'.JText::_( 'SVMAP_MARKER' ).'</span>', 'index.php?option=com_svmap&controller=markers');
							
				$config = $this->get('Config');
				
				if ($config->linkas != '0' && $config->linkwith != '0') {
					JSubMenuHelper::addEntry( '<span class="editlinktip hasTip" title="'.JText::_( 'SVMAP_LINK' ).'::'.JText::_('SVMAP_LINK_DESCRIPTION').'">'.JText::_( 'SVMAP_LINK' ).'</span>', 'index.php?option=com_svmap&controller=link');
				}
				
				JHTML::_('behavior.tooltip');
					
				JToolBarHelper::title( 'SVMap | '.JText::_( 'SVMAP_MEMBER' ), 'svmap' );
				JToolBarHelper::deleteList();
				JToolBarHelper::editListX();
				JToolBarHelper::addNewX();
				
				$filter_order = $mainframe->getUserStateFromRequest('members.filter_order', 'filter_order', 'first_name', 'cmd');
				$filter_order_Dir = $mainframe->getUserStateFromRequest('members.filter_order_Dir', 'filter_order_Dir', '', 'word');
				$filter1 = $mainframe->getUserStateFromRequest( 'members.filter1', 'filter1', '', 'int' );
				$filter2 = $mainframe->getUserStateFromRequest( 'members.filter2', 'filter2', '', 'int' );
				
				$filters1 = array();
				$filters1[] = JHTML::_('select.option', '0', '-- '.JText::_( 'SVMAP_BUSINESS' ).' --' );
				
				$business = $this->get('Business');
				foreach($business as $temp) {
					$filters1[] = JHTML::_('select.option', @$temp->user_id, @$temp->name );
				}
				
				$filters2 = array();
				$filters2[] = JHTML::_('select.option', '', '-- '.JText::_( 'SVMAP_CATEGORY' ).' --' );
				$filters2[] = JHTML::_('select.option', '3', 'SVMAP' );
				if ($config->linkas == '1' && $config->linkwith == '1') {
					$filters2[] = JHTML::_('select.option', '1', JText::_( 'SVMAP_LINK_JOOMLA' ) );
				}
				if ($config->linkas == '1' && $config->linkwith == '2') {
					$filters2[] = JHTML::_('select.option', '2', JText::_( 'SVMAP_LINK_CB' ) );
				}
				
				$lists['filter1'] = JHTML::_('select.genericlist', $filters1, 'filter1', 'size="1" class="inputbox" onchange="form.submit()"', 'value', 'text', $filter1 );
				$lists['filter2'] = JHTML::_('select.genericlist', $filters2, 'filter2', 'size="1" class="inputbox" onchange="form.submit()"', 'value', 'text', $filter2 );
				$lists['order_Dir'] = $filter_order_Dir;
				$lists['order'] = $filter_order;
						
				$this->assignRef('lists', $lists);
				
				$pageNav = & $this->get( 'Pagination' );
				$this->assignRef('pageNav', $pageNav);
			}
	
			parent::display($tpl);		
			
		}
	}
?>